MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004719ACheckerInterfacepublic2011-01-31 13:172013-05-08 06:21
Reportercindy 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.1 
Target VersionFixed in VersionSVN 
Summary0004719: Deleting users at achecker.ca is very slow.
DescriptionThe potential reasons:
1. user_decisions table has over 2 million records;
2. users/user_delete.php loops thru user ids to delete one at a time. Deleting all users in one shot might improve the performance.
TagsNo tags attached.
SVN Revision#493
Attached Files

- Relationships

-  Notes
(0005046)
cindy (administrator)
2011-02-08 15:42

The scripts are tuned to delete users or associated table data in one shot whenever possible. Tested with 2 million records in user_decisions. Deleting 50 users take about 40 seconds. Faster than before but still a bit slow.

Modified scripts:
check/index.php
guideline/index.php
include/classes/DAO/ChecksDAO.class.php
include/classes/DAO/GuidelinesDAO.class.php
include/classes/DAO/UserDecisionsDAO.class.php
include/classes/DAO/UserLinksDAO.class.php
include/classes/DAO/UsersDAO.class.php
user/user_delete.php
(0006407)
user1
2013-05-05 19:29

Can I simply say what a aid to search out somebody which actually knows exactly what they are really talking about on the net. A person undoubtedly understand find out how to convey an issue in order to gentle making this critical. Extra individuals have to read this particular and also perceive this particular aspect with the story. I find it difficult to believe youre not more widespread since you definitely contain the gift. cjytest http://cjy-test.com [^]
(0006408)
user1
2013-05-05 20:13

LjFJMWQi http://www.6X5166Zx6sEpB8gJ9srt5v.com/ [^]
 http://www.6X5166Zx6sEpB8gJ9srt5v.com/ [^]
[url=http://www.6X5166Zx6sEpB8gJ9srt5v.com/ [^]]LjFJMWQi[/url]
(0006409)
user1
2013-05-05 22:58

0004719: Deleting users at achecker.ca is very slow. - MantisBT seo tools http://scrapebox.over-blog.com/ [^] http://scrapebox.over-blog.com/ [^]
(0006410)
user1
2013-05-05 22:58

0004719: Deleting users at achecker.ca is very slow. - MantisBT wow gold http://www.wgtwowgold.com/ [^] http://www.wgtwowgold.com/ [^]
(0006412)
user1
2013-05-06 03:19

0004719: Deleting users at achecker.ca is very slow. - MantisBT louis vuitton bags http://www.lvbags188.com/ [^] http://www.lvbags188.com/ [^]
(0006413)
user1
2013-05-06 03:19

0004719: Deleting users at achecker.ca is very slow. - MantisBT mulberry bags http://mulberry360.over-blog.com/ [^] http://mulberry360.over-blog.com/ [^]
(0006414)
user1
2013-05-06 05:22

0004719: Deleting users at achecker.ca is very slow. - MantisBT burberry bags http://bags.me.cc/ [^] http://bags.me.cc/ [^]
(0006415)
user1
2013-05-06 05:22

0004719: Deleting users at achecker.ca is very slow. - MantisBT diablo 3 gold http://www.flyd3.com/ [^] http://www.flyd3.com/ [^]
(0006418)
user1
2013-05-06 12:50

We spend our hard-earned dollars up front only to sex cam them extending to life. livecams-privat.com http://livecams-privat.com/ [^] http://livecams-privat.com/ [^]
(0006419)
user1
2013-05-06 14:17

A lot of these burberry bags http://www.sellburberry.com/ [^] http://www.sellburberry.com/ [^] are very attractive, I really enjoy individuals a huge amount of. They can be perhaps the best some tips i have obtained via the internet. A burberry bags http://www.sellburberry.com/ [^] http://www.sellburberry.com/ [^] are in fact tighter in comparison with I have required that it is, that could be fantastic. It would not necessarily resemble it will stop working quite simply. The base only is definitely very difficult, rendering it not easy to falter. If you are searching for the two of basic, classy, wonderful burberry bags http://www.sellburberry.com/ [^] http://www.sellburberry.com/, [^] fundamental essentials most suitable option.
(0006421)
user1
2013-05-06 21:16

0004719: Deleting users at achecker.ca is very slow. - MantisBT coach outlet http://coach.me.pn/ [^] http://coach.me.pn/ [^]
(0006423)
user1
2013-05-06 22:27

LV Damier Canvas Taschen Steckdose lassen Freunde nicht weit weg von Louis Vuitton auf Verkauf Sie sagte jedes Mal zu diesem Thema immer gedacht, der sich auf mehrere gute Freunde zu haben. Bier und Kegelspiel wirklich unzuverlässig, Louis Vuitton Outlet manchmal kann eine fantastische Rolle spielen, ist es Sie wissen lassen, Kumpels wirklich Freund, können Sie auch von Freund kann nicht weit weg von you.Louis Vuitton Handtaschen Verkauf euch vergossen hängen neben Beutel neben noch sehr viel sehr gute Freunde neben dir, mit dir, das ist, was Freunde wichtig sind, wird auch der entscheidende sein. LV Taschen. ugg boots sale http://www.deschuhekauf.com/ [^] http://www.deschuhekauf.com/ [^]
(0006426)
user1
2013-05-07 00:00

0004719: Deleting users at achecker.ca is very slow. - MantisBT miu miu bags http://www.imiumiu.com/ [^] http://www.imiumiu.com/ [^]
(0006430)
user1
2013-05-07 02:21

0004719: Deleting users at achecker.ca is very slow. - MantisBT cheap jordans http://jordans.eu.pn/ [^] http://jordans.eu.pn/ [^]
(0006434)
user1
2013-05-07 04:39

0004719: Deleting users at achecker.ca is very slow. - MantisBT chanel bags http://direttoredinogreco.liberazione.it/chanelbags.html [^] http://direttoredinogreco.liberazione.it/chanelbags.html [^]
(0006435)
user1
2013-05-07 04:39

0004719: Deleting users at achecker.ca is very slow. - MantisBT mulberry bags http://mulberry360.over-blog.com/tag/Mulberry%20Bags/ [^] http://mulberry360.over-blog.com/tag/Mulberry%20Bags/ [^]
(0006439)
user1
2013-05-07 06:56

0004719: Deleting users at achecker.ca is very slow. - MantisBT ???? http://www.feimeizx.com/index.html [^] http://www.feimeizx.com/index.html [^]
(0006440)
user1
2013-05-07 06:56

0004719: Deleting users at achecker.ca is very slow. - MantisBT prada bags http://prada.com.cool4buy.com/ [^] http://prada.com.cool4buy.com/ [^]
(0006443)
user1
2013-05-07 09:49

It is a beneficial hermes handbags http://www.discounthermesshop.com/hermes-handbags-c-1.html [^] http://www.discounthermesshop.com/hermes-handbags-c-1.html! [^]
(0006445)
user1
2013-05-07 13:25

WuYTWJ http://vfxwqlwcdupl.com/, [^] [url=http://mtwgsfeiepcy.com/ [^]]mtwgsfeiepcy[/url], [link=http://yampvhpumlxi.com/ [^]]yampvhpumlxi[/link], http://cvyckkdflitl.com/ [^]
(0006454)
user1
2013-05-08 03:57

0004719: Deleting users at achecker.ca is very slow. - MantisBT mulberry bags http://mulberry360.over-blog.com/tag/Mulberry%20Bags/ [^] http://mulberry360.over-blog.com/tag/Mulberry%20Bags/ [^]
(0006457)
user1
2013-05-08 06:21

0004719: Deleting users at achecker.ca is very slow. - MantisBT mulberry bags http://mulberry360.over-blog.com/tag/Mulberry%20Bags/ [^] http://mulberry360.over-blog.com/tag/Mulberry%20Bags/ [^]

- Issue History
Date Modified Username Field Change
2011-01-31 13:17 cindy New Issue
2011-02-08 15:42 cindy SVN Revision# => 493
2011-02-08 15:42 cindy Note Added: 0005046
2011-02-08 15:42 cindy Status new => resolved
2011-02-08 15:42 cindy Fixed in Version => SVN
2011-02-08 15:42 cindy Resolution open => fixed
2011-02-08 15:42 cindy Assigned To => cindy
2013-05-05 19:29 user1 Note Added: 0006407
2013-05-05 20:13 user1 Note Added: 0006408
2013-05-05 22:58 user1 Note Added: 0006409
2013-05-05 22:58 user1 Note Added: 0006410
2013-05-06 03:19 user1 Note Added: 0006412
2013-05-06 03:19 user1 Note Added: 0006413
2013-05-06 05:22 user1 Note Added: 0006414
2013-05-06 05:22 user1 Note Added: 0006415
2013-05-06 12:50 user1 Note Added: 0006418
2013-05-06 14:17 user1 Note Added: 0006419
2013-05-06 21:16 user1 Note Added: 0006421
2013-05-06 22:27 user1 Note Added: 0006423
2013-05-07 00:00 user1 Note Added: 0006426
2013-05-07 02:21 user1 Note Added: 0006430
2013-05-07 04:39 user1 Note Added: 0006434
2013-05-07 04:39 user1 Note Added: 0006435
2013-05-07 06:56 user1 Note Added: 0006439
2013-05-07 06:56 user1 Note Added: 0006440
2013-05-07 09:49 user1 Note Added: 0006443
2013-05-07 13:25 user1 Note Added: 0006445
2013-05-08 03:57 user1 Note Added: 0006454
2013-05-08 06:21 user1 Note Added: 0006457


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker